%global modname fedmsg_genacls

Name:               python-fedmsg-genacls
Version:            0.6
Release:            5%{?dist}
Summary:            A fedmsg consumer that sets gitosis acls in response to pkgdb messages

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fedmsg_genacls
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      fedmsg

%global _description\
An example of using fedmsg to monitor pkgdb for messages, but delaying action\
for a few seconds to accumulate messages and avoid pile-up.

%description %_description

%package -n python2-fedmsg-genacls
Summary: %summary
Requires:           fedmsg
%{?python_provide:%python_provide python2-fedmsg-genacls}

%description -n python2-fedmsg-genacls %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/fedmsg.d/
cp -p fedmsg.d/genacls-example-config.py %{buildroot}%{_sysconfdir}/fedmsg.d/genacls.py

%files -n python2-fedmsg-genacls
%doc README.rst LICENSE
%{python2_sitelib}/%{modname}.py*
%{python2_sitelib}/%{modname}-%{version}*

%config(noreplace) %{_sysconfdir}/fedmsg.d/genacls.py*


%changelog
* Fri Mar 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-3
- Python 2 binary package renamed to python2-fedmsg-genacls
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 12 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-1
- Update to 0.6

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 Ralph Bean <rbean@redhat.com> - 0.5-1
- new version

* Thu Jan 29 2015 Ralph Bean <rbean@redhat.com> - 0.5-1
- new version

* Mon Nov 10 2014 Ralph Bean <rbean@redhat.com> - 0.4-1
- Latest upstream, improved triggers.

* Fri Aug 08 2014 Ralph Bean <rbean@redhat.com> - 0.3-1
- Update to handle "teams" support in pkgdb.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 01 2014 Ralph Bean <rbean@redhat.com> - 0.2-1
- Latest upstream with bugfixes realized in staging.

* Tue Mar 25 2014 Ralph Bean <rbean@redhat.com> - 0.1-2
- Use '-p' to preserve timestamps when copying.

* Mon Mar 24 2014 Ralph Bean <rbean@redhat.com> - 0.1-1
- Initial packaging for Fedora
